<Project Sdk="Microsoft.NET.Sdk">
  <!-- <Import Project="..\WebDAVSharp.Server\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props" Condition="Exists('..\WebDAVSharp.Server\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\build\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.props')" /> -->

  <PropertyGroup>
    <TargetFramework>net48</TargetFramework>
    <ProjectGuid>{61960A13-2683-468D-AC74-8ED97207F395}</ProjectGuid>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">../WebDAVSharp.Server</SolutionDir>
    <RootNamespace>WebApplication</RootNamespace>
  </PropertyGroup>

  <PropertyGroup>
    <AssemblyName>WebDAVSharp.WebApplication</AssemblyName>
    <AssemblyTitle>WebDAVSharp.WebApplication</AssemblyTitle>
    <AssemblyCopyright>Copyright ©  2016</AssemblyCopyright>
    <Version>1.5.0.0</Version>
  </PropertyGroup>

  <PropertyGroup>
    <UseIISExpress>true</UseIISExpress>
    <IISExpressSSLPort />
    <IISExpressAnonymousAuthentication />
    <IISExpressWindowsAuthentication />
    <IISExpressUseClassicPipelineMode />
    <UseGlobalApplicationHostFile />
  </PropertyGroup>

  <ItemGroup>
    <Reference Include="System.Web" />

    <PackageReference Include="Microsoft.AspNet.Mvc" Version="5.2.3" />
    <PackageReference Include="Microsoft.AspNet.Razor" Version="3.2.3" />
    <PackageReference Include="Microsoft.AspNet.WebApi" Version="5.2.3" />
    <PackageReference Include="Microsoft.AspNet.WebApi.Client" Version="5.2.3" />
    <PackageReference Include="Microsoft.AspNet.WebApi.Core" Version="5.2.3" />
    <PackageReference Include="Microsoft.AspNet.WebApi.WebHost" Version="5.2.3" />
    <PackageReference Include="Microsoft.AspNet.WebPages" Version="3.2.3" />
    <PackageReference Include="Microsoft.CodeDom.Providers.DotNetCompilerPlatform" Version="1.0.0" />
    <PackageReference Include="Microsoft.Web.Infrastructure" Version="1.0.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="6.0.4" />
  </ItemGroup>

  <ProjectExtensions>
    <VisualStudio>
      <FlavorProperties GUID="{349c5851-65df-11da-9384-00065b846f21}">
        <WebProjectProperties>
          <UseIIS>True</UseIIS>
          <AutoAssignPort>True</AutoAssignPort>
          <DevelopmentServerPort>53321</DevelopmentServerPort>
          <DevelopmentServerVPath>/</DevelopmentServerVPath>
          <IISUrl>http://localhost:53321/</IISUrl>
          <NTLMAuthentication>False</NTLMAuthentication>
          <UseCustomServer>False</UseCustomServer>
          <CustomServerUrl>
          </CustomServerUrl>
          <SaveServerSettingsInUserFile>False</SaveServerSettingsInUserFile>
        </WebProjectProperties>
      </FlavorProperties>
    </VisualStudio>
  </ProjectExtensions>

</Project>